Upstream information

CVE-2018-10360 at MITRE

Description

The do_core_note function in readelf.c in libmagic.a in file 5.33 allows remote attackers to cause a denial of service (out-of-bounds read and application crash) via a crafted ELF file.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 3.3
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:L
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact None
Integrity Impact None
Availability Impact Low
SUSE Bugzilla entries: 1096974 [RESOLVED / FIXED], 1096984 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php5 >= 5.5.14-109.38.1
  • php5 >= 5.5.14-109.38.1
  • php5-bcmath >= 5.5.14-109.38.1
  • php5-bz2 >= 5.5.14-109.38.1
  • php5-calendar >= 5.5.14-109.38.1
  • php5-ctype >= 5.5.14-109.38.1
  • php5-curl >= 5.5.14-109.38.1
  • php5-dba >= 5.5.14-109.38.1
  • php5-dom >= 5.5.14-109.38.1
  • php5-enchant >= 5.5.14-109.38.1
  • php5-exif >= 5.5.14-109.38.1
  • php5-fastcgi >= 5.5.14-109.38.1
  • php5-fileinfo >= 5.5.14-109.38.1
  • php5-fpm >= 5.5.14-109.38.1
  • php5-ftp >= 5.5.14-109.38.1
  • php5-gd >= 5.5.14-109.38.1
  • php5-gettext >= 5.5.14-109.38.1
  • php5-gmp >= 5.5.14-109.38.1
  • php5-iconv >= 5.5.14-109.38.1
  • php5-imap >= 5.5.14-109.38.1
  • php5-intl >= 5.5.14-109.38.1
  • php5-json >= 5.5.14-109.38.1
  • php5-ldap >= 5.5.14-109.38.1
  • php5-mbstring >= 5.5.14-109.38.1
  • php5-mcrypt >= 5.5.14-109.38.1
  • php5-mysql >= 5.5.14-109.38.1
  • php5-odbc >= 5.5.14-109.38.1
  • php5-opcache >= 5.5.14-109.38.1
  • php5-openssl >= 5.5.14-109.38.1
  • php5-pcntl >= 5.5.14-109.38.1
  • php5-pdo >= 5.5.14-109.38.1
  • php5-pear >= 5.5.14-109.38.1
  • php5-pgsql >= 5.5.14-109.38.1
  • php5-phar >= 5.5.14-109.38.1
  • php5-posix >= 5.5.14-109.38.1
  • php5-pspell >= 5.5.14-109.38.1
  • php5-shmop >= 5.5.14-109.38.1
  • php5-snmp >= 5.5.14-109.38.1
  • php5-soap >= 5.5.14-109.38.1
  • php5-sockets >= 5.5.14-109.38.1
  • php5-sqlite >= 5.5.14-109.38.1
  • php5-suhosin >= 5.5.14-109.38.1
  • php5-sysvmsg >= 5.5.14-109.38.1
  • php5-sysvsem >= 5.5.14-109.38.1
  • php5-sysvshm >= 5.5.14-109.38.1
  • php5-tokenizer >= 5.5.14-109.38.1
  • php5-wddx >= 5.5.14-109.38.1
  • php5-xmlreader >= 5.5.14-109.38.1
  • php5-xmlrpc >= 5.5.14-109.38.1
  • php5-xmlwriter >= 5.5.14-109.38.1
  • php5-xsl >= 5.5.14-109.38.1
  • php5-zip >= 5.5.14-109.38.1
  • php5-zlib >= 5.5.14-109.38.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2018-1871
SUSE Linux Enterprise Server 11 SP4
  • apache2-mod_php53 >= 5.3.17-112.28.1
  • php53 >= 5.3.17-112.28.1
  • php53-bcmath >= 5.3.17-112.28.1
  • php53-bz2 >= 5.3.17-112.28.1
  • php53-calendar >= 5.3.17-112.28.1
  • php53-ctype >= 5.3.17-112.28.1
  • php53-curl >= 5.3.17-112.28.1
  • php53-dba >= 5.3.17-112.28.1
  • php53-dom >= 5.3.17-112.28.1
  • php53-exif >= 5.3.17-112.28.1
  • php53-fastcgi >= 5.3.17-112.28.1
  • php53-fileinfo >= 5.3.17-112.28.1
  • php53-ftp >= 5.3.17-112.28.1
  • php53-gd >= 5.3.17-112.28.1
  • php53-gettext >= 5.3.17-112.28.1
  • php53-gmp >= 5.3.17-112.28.1
  • php53-iconv >= 5.3.17-112.28.1
  • php53-intl >= 5.3.17-112.28.1
  • php53-json >= 5.3.17-112.28.1
  • php53-ldap >= 5.3.17-112.28.1
  • php53-mbstring >= 5.3.17-112.28.1
  • php53-mcrypt >= 5.3.17-112.28.1
  • php53-mysql >= 5.3.17-112.28.1
  • php53-odbc >= 5.3.17-112.28.1
  • php53-openssl >= 5.3.17-112.28.1
  • php53-pcntl >= 5.3.17-112.28.1
  • php53-pdo >= 5.3.17-112.28.1
  • php53-pear >= 5.3.17-112.28.1
  • php53-pgsql >= 5.3.17-112.28.1
  • php53-pspell >= 5.3.17-112.28.1
  • php53-shmop >= 5.3.17-112.28.1
  • php53-snmp >= 5.3.17-112.28.1
  • php53-soap >= 5.3.17-112.28.1
  • php53-suhosin >= 5.3.17-112.28.1
  • php53-sysvmsg >= 5.3.17-112.28.1
  • php53-sysvsem >= 5.3.17-112.28.1
  • php53-sysvshm >= 5.3.17-112.28.1
  • php53-tokenizer >= 5.3.17-112.28.1
  • php53-wddx >= 5.3.17-112.28.1
  • php53-xmlreader >= 5.3.17-112.28.1
  • php53-xmlrpc >= 5.3.17-112.28.1
  • php53-xmlwriter >= 5.3.17-112.28.1
  • php53-xsl >= 5.3.17-112.28.1
  • php53-zip >= 5.3.17-112.28.1
  • php53-zlib >= 5.3.17-112.28.1
Patchnames:
slessp4-php53-13700
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • apache2-mod_php53 >= 5.3.17-112.28.1
  • php53 >= 5.3.17-112.28.1
  • php53-bcmath >= 5.3.17-112.28.1
  • php53-bz2 >= 5.3.17-112.28.1
  • php53-calendar >= 5.3.17-112.28.1
  • php53-ctype >= 5.3.17-112.28.1
  • php53-curl >= 5.3.17-112.28.1
  • php53-dba >= 5.3.17-112.28.1
  • php53-dom >= 5.3.17-112.28.1
  • php53-exif >= 5.3.17-112.28.1
  • php53-fastcgi >= 5.3.17-112.28.1
  • php53-fileinfo >= 5.3.17-112.28.1
  • php53-ftp >= 5.3.17-112.28.1
  • php53-gd >= 5.3.17-112.28.1
  • php53-gettext >= 5.3.17-112.28.1
  • php53-gmp >= 5.3.17-112.28.1
  • php53-iconv >= 5.3.17-112.28.1
  • php53-intl >= 5.3.17-112.28.1
  • php53-json >= 5.3.17-112.28.1
  • php53-ldap >= 5.3.17-112.28.1
  • php53-mbstring >= 5.3.17-112.28.1
  • php53-mcrypt >= 5.3.17-112.28.1
  • php53-mysql >= 5.3.17-112.28.1
  • php53-odbc >= 5.3.17-112.28.1
  • php53-openssl >= 5.3.17-112.28.1
  • php53-pcntl >= 5.3.17-112.28.1
  • php53-pdo >= 5.3.17-112.28.1
  • php53-pear >= 5.3.17-112.28.1
  • php53-pgsql >= 5.3.17-112.28.1
  • php53-pspell >= 5.3.17-112.28.1
  • php53-shmop >= 5.3.17-112.28.1
  • php53-snmp >= 5.3.17-112.28.1
  • php53-soap >= 5.3.17-112.28.1
  • php53-suhosin >= 5.3.17-112.28.1
  • php53-sysvmsg >= 5.3.17-112.28.1
  • php53-sysvsem >= 5.3.17-112.28.1
  • php53-sysvshm >= 5.3.17-112.28.1
  • php53-tokenizer >= 5.3.17-112.28.1
  • php53-wddx >= 5.3.17-112.28.1
  • php53-xmlreader >= 5.3.17-112.28.1
  • php53-xmlrpc >= 5.3.17-112.28.1
  • php53-xmlwriter >= 5.3.17-112.28.1
  • php53-xsl >= 5.3.17-112.28.1
  • php53-zip >= 5.3.17-112.28.1
  • php53-zlib >= 5.3.17-112.28.1
Patchnames:
slessp4-php53-13700
SUSE Linux Enterprise Software Development Kit 11 SP4
  • php53 >= 5.3.17-112.28.1
  • php53-devel >= 5.3.17-112.28.1
  • php53-imap >= 5.3.17-112.28.1
  • php53-posix >= 5.3.17-112.28.1
  • php53-readline >= 5.3.17-112.28.1
  • php53-sockets >= 5.3.17-112.28.1
  • php53-sqlite >= 5.3.17-112.28.1
  • php53-tidy >= 5.3.17-112.28.1
Patchnames:
sdksp4-php53-13700
SUSE Linux Enterprise Software Development Kit 12 SP3
  • php5 >= 5.5.14-109.38.1
  • php5-devel >= 5.5.14-109.38.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-1871
openSUSE Leap 42.3
  • apache2-mod_php5 >= 5.5.14-103.1
  • apache2-mod_php5-debuginfo >= 5.5.14-103.1
  • php5 >= 5.5.14-103.1
  • php5-bcmath >= 5.5.14-103.1
  • php5-bcmath-debuginfo >= 5.5.14-103.1
  • php5-bz2 >= 5.5.14-103.1
  • php5-bz2-debuginfo >= 5.5.14-103.1
  • php5-calendar >= 5.5.14-103.1
  • php5-calendar-debuginfo >= 5.5.14-103.1
  • php5-ctype >= 5.5.14-103.1
  • php5-ctype-debuginfo >= 5.5.14-103.1
  • php5-curl >= 5.5.14-103.1
  • php5-curl-debuginfo >= 5.5.14-103.1
  • php5-dba >= 5.5.14-103.1
  • php5-dba-debuginfo >= 5.5.14-103.1
  • php5-debuginfo >= 5.5.14-103.1
  • php5-debugsource >= 5.5.14-103.1
  • php5-devel >= 5.5.14-103.1
  • php5-dom >= 5.5.14-103.1
  • php5-dom-debuginfo >= 5.5.14-103.1
  • php5-enchant >= 5.5.14-103.1
  • php5-enchant-debuginfo >= 5.5.14-103.1
  • php5-exif >= 5.5.14-103.1
  • php5-exif-debuginfo >= 5.5.14-103.1
  • php5-fastcgi >= 5.5.14-103.1
  • php5-fastcgi-debuginfo >= 5.5.14-103.1
  • php5-fileinfo >= 5.5.14-103.1
  • php5-fileinfo-debuginfo >= 5.5.14-103.1
  • php5-firebird >= 5.5.14-103.1
  • php5-firebird-debuginfo >= 5.5.14-103.1
  • php5-fpm >= 5.5.14-103.1
  • php5-fpm-debuginfo >= 5.5.14-103.1
  • php5-ftp >= 5.5.14-103.1
  • php5-ftp-debuginfo >= 5.5.14-103.1
  • php5-gd >= 5.5.14-103.1
  • php5-gd-debuginfo >= 5.5.14-103.1
  • php5-gettext >= 5.5.14-103.1
  • php5-gettext-debuginfo >= 5.5.14-103.1
  • php5-gmp >= 5.5.14-103.1
  • php5-gmp-debuginfo >= 5.5.14-103.1
  • php5-iconv >= 5.5.14-103.1
  • php5-iconv-debuginfo >= 5.5.14-103.1
  • php5-imap >= 5.5.14-103.1
  • php5-imap-debuginfo >= 5.5.14-103.1
  • php5-intl >= 5.5.14-103.1
  • php5-intl-debuginfo >= 5.5.14-103.1
  • php5-json >= 5.5.14-103.1
  • php5-json-debuginfo >= 5.5.14-103.1
  • php5-ldap >= 5.5.14-103.1
  • php5-ldap-debuginfo >= 5.5.14-103.1
  • php5-mbstring >= 5.5.14-103.1
  • php5-mbstring-debuginfo >= 5.5.14-103.1
  • php5-mcrypt >= 5.5.14-103.1
  • php5-mcrypt-debuginfo >= 5.5.14-103.1
  • php5-mssql >= 5.5.14-103.1
  • php5-mssql-debuginfo >= 5.5.14-103.1
  • php5-mysql >= 5.5.14-103.1
  • php5-mysql-debuginfo >= 5.5.14-103.1
  • php5-odbc >= 5.5.14-103.1
  • php5-odbc-debuginfo >= 5.5.14-103.1
  • php5-opcache >= 5.5.14-103.1
  • php5-opcache-debuginfo >= 5.5.14-103.1
  • php5-openssl >= 5.5.14-103.1
  • php5-openssl-debuginfo >= 5.5.14-103.1
  • php5-pcntl >= 5.5.14-103.1
  • php5-pcntl-debuginfo >= 5.5.14-103.1
  • php5-pdo >= 5.5.14-103.1
  • php5-pdo-debuginfo >= 5.5.14-103.1
  • php5-pear >= 5.5.14-103.1
  • php5-pgsql >= 5.5.14-103.1
  • php5-pgsql-debuginfo >= 5.5.14-103.1
  • php5-phar >= 5.5.14-103.1
  • php5-phar-debuginfo >= 5.5.14-103.1
  • php5-posix >= 5.5.14-103.1
  • php5-posix-debuginfo >= 5.5.14-103.1
  • php5-pspell >= 5.5.14-103.1
  • php5-pspell-debuginfo >= 5.5.14-103.1
  • php5-readline >= 5.5.14-103.1
  • php5-readline-debuginfo >= 5.5.14-103.1
  • php5-shmop >= 5.5.14-103.1
  • php5-shmop-debuginfo >= 5.5.14-103.1
  • php5-snmp >= 5.5.14-103.1
  • php5-snmp-debuginfo >= 5.5.14-103.1
  • php5-soap >= 5.5.14-103.1
  • php5-soap-debuginfo >= 5.5.14-103.1
  • php5-sockets >= 5.5.14-103.1
  • php5-sockets-debuginfo >= 5.5.14-103.1
  • php5-sqlite >= 5.5.14-103.1
  • php5-sqlite-debuginfo >= 5.5.14-103.1
  • php5-suhosin >= 5.5.14-103.1
  • php5-suhosin-debuginfo >= 5.5.14-103.1
  • php5-sysvmsg >= 5.5.14-103.1
  • php5-sysvmsg-debuginfo >= 5.5.14-103.1
  • php5-sysvsem >= 5.5.14-103.1
  • php5-sysvsem-debuginfo >= 5.5.14-103.1
  • php5-sysvshm >= 5.5.14-103.1
  • php5-sysvshm-debuginfo >= 5.5.14-103.1
  • php5-tidy >= 5.5.14-103.1
  • php5-tidy-debuginfo >= 5.5.14-103.1
  • php5-tokenizer >= 5.5.14-103.1
  • php5-tokenizer-debuginfo >= 5.5.14-103.1
  • php5-wddx >= 5.5.14-103.1
  • php5-wddx-debuginfo >= 5.5.14-103.1
  • php5-xmlreader >= 5.5.14-103.1
  • php5-xmlreader-debuginfo >= 5.5.14-103.1
  • php5-xmlrpc >= 5.5.14-103.1
  • php5-xmlrpc-debuginfo >= 5.5.14-103.1
  • php5-xmlwriter >= 5.5.14-103.1
  • php5-xmlwriter-debuginfo >= 5.5.14-103.1
  • php5-xsl >= 5.5.14-103.1
  • php5-xsl-debuginfo >= 5.5.14-103.1
  • php5-zip >= 5.5.14-103.1
  • php5-zip-debuginfo >= 5.5.14-103.1
  • php5-zlib >= 5.5.14-103.1
  • php5-zlib-debuginfo >= 5.5.14-103.1
Patchnames:
openSUSE-2018-998

List of packages in QA

Product(s) Package(s)
Openstack Cloud Magnum Orchestration 7
  • file >= 5.22-10.9.1
  • file-debuginfo >= 5.22-10.9.1
  • file-debugsource >= 5.22-10.9.1
  • file-magic >= 5.22-10.9.1
  • libmagic1 >= 5.22-10.9.1
  • libmagic1-debuginfo >= 5.22-10.9.1
SUSE CaaS Platform ALL
  • file >= 5.22-10.9.1
  • file-debuginfo >= 5.22-10.9.1
  • file-debugsource >= 5.22-10.9.1
  • file-magic >= 5.22-10.9.1
  • libmagic1 >= 5.22-10.9.1
  • libmagic1-debuginfo >= 5.22-10.9.1
SUSE Linux Enterprise Desktop 12 SP3
  • file >= 5.22-10.9.1
  • file-debuginfo >= 5.22-10.9.1
  • file-debugsource >= 5.22-10.9.1
  • file-magic >= 5.22-10.9.1
  • libmagic1 >= 5.22-10.9.1
  • libmagic1-32bit >= 5.22-10.9.1
  • libmagic1-debuginfo >= 5.22-10.9.1
  • libmagic1-debuginfo-32bit >= 5.22-10.9.1
SUSE Linux Enterprise Module for Basesystem 15
  • file >= 5.32-7.3.1
  • file-debuginfo >= 5.32-7.3.1
  • file-debugsource >= 5.32-7.3.1
  • file-devel >= 5.32-7.3.1
  • file-magic >= 5.32-7.3.1
  • libmagic1 >= 5.32-7.3.1
  • libmagic1-32bit >= 5.32-7.3.1
  • libmagic1-32bit-debuginfo >= 5.32-7.3.1
  • libmagic1-debuginfo >= 5.32-7.3.1
  • python-magic >= 5.32-7.3.1
  • python2-magic >= 5.32-7.3.1
SUSE Linux Enterprise Module for Development Tools 15
  • python-magic >= 5.32-7.3.1
  • python3-magic >= 5.32-7.3.1
SUSE Linux Enterprise Server 11 SP4
  • file >= 4.24-43.31.1
  • file-32bit >= 4.24-43.31.1
  • file-x86 >= 4.24-43.31.1
SUSE Linux Enterprise Server 12 SP3
  • file >= 5.22-10.9.1
  • file-debuginfo >= 5.22-10.9.1
  • file-debugsource >= 5.22-10.9.1
  • file-magic >= 5.22-10.9.1
  • libmagic1 >= 5.22-10.9.1
  • libmagic1-32bit >= 5.22-10.9.1
  • libmagic1-debuginfo >= 5.22-10.9.1
  • libmagic1-debuginfo-32bit >= 5.22-10.9.1
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • file >= 4.24-43.31.1
  • file-32bit >= 4.24-43.31.1
  • file-x86 >= 4.24-43.31.1
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • file >= 5.22-10.9.1
  • file-debuginfo >= 5.22-10.9.1
  • file-debugsource >= 5.22-10.9.1
  • file-magic >= 5.22-10.9.1
  • libmagic1 >= 5.22-10.9.1
  • libmagic1-32bit >= 5.22-10.9.1
  • libmagic1-debuginfo >= 5.22-10.9.1
  • libmagic1-debuginfo-32bit >= 5.22-10.9.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • file >= 4.24-43.31.1
  • file-devel >= 4.24-43.31.1
  • python-magic >= 4.24-27.3.1
SUSE Linux Enterprise Software Development Kit 12 SP3
  • file >= 5.22-10.9.1
  • file-debuginfo >= 5.22-10.9.1
  • file-debugsource >= 5.22-10.9.1
  • file-devel >= 5.22-10.9.1
  • python-magic >= 5.22-10.9.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 file In progress
CaaS Platform 2.0 file In progress
CaaS Platform 3.0 file In progress
OpenStack Cloud Magnum Orchestration 7.0 file In progress
SUSE Linux Enterprise Desktop 12 SP3 file In progress
SUSE Linux Enterprise Module for Basesystem 15 GA file In progress
SUSE Linux Enterprise SDK 11 SP4 file In progress
SUSE Linux Enterprise SDK 12 SP3 file In progress
SUSE Linux Enterprise Server 11 SP3 LTSS file Affected
SUSE Linux Enterprise Server 11 SP4 file In progress
SUSE Linux Enterprise Server 12 GA LTSS file Affected
SUSE Linux Enterprise Server 12 SP1 LTSS file Affected
SUSE Linux Enterprise Server 12 SP2 LTSS file Affected
SUSE Linux Enterprise Server 12 SP3 file In progress